# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr::DrawGMInliers Class Reference

`#include <gm_inliers.h>`

Inheritance diagram for dirac_instr::DrawGMInliers:

[legend]
Collaboration diagram for dirac_instr::DrawGMInliers:

[legend]

List of all members.

## Public Member Functions

- DrawGMInliers (Frame &, DrawFrameMotionParams &, const TwoDArray< int > &)
    Constructor.
- ~DrawGMInliers ()
    Destructor.
- void DrawBlock (int, int)
    Colours a single block according to split mode.
- void DrawLegend ()
    Displays colour legend.

## Private Attributes

- const TwoDArray< int > & m_inliers

## Constructor & Destructor Documentation

dirac_instr::DrawGMInliers::DrawGMInliers | ( | Frame & | ,
|  | DrawFrameMotionParams & | ,
|  | const TwoDArray< int > & |  |
| ) |  |  |

dirac_instr::DrawGMInliers::~DrawGMInliers | ( |  | ) |

## Member Function Documentation

void dirac_instr::DrawGMInliers::DrawBlock | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Implements dirac_instr::DrawOverlay.

void dirac_instr::DrawGMInliers::DrawLegend | ( |  | ) | `[virtual]`

Implements dirac_instr::DrawOverlay.

## Member Data Documentation

const TwoDArray<int>& dirac_instr::DrawGMInliers::m_inliers `[private]`

The documentation for this class was generated from the following file:

- gm_inliers.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.